Bug 24790 - POS missing from the 'More' dropdown
Summary: POS missing from the 'More' dropdown
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
: 24791 (view as bug list)
Depends on: 23354
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-03-03 14:36 UTC by Tomás Cohen Arazi
Modified: 2020-04-01 21:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24790: Add POS to the 'More' dropdown on the staff client (1.61 KB, patch)
2020-03-03 14:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24790: Add POS to the 'More' dropdown on the staff client (1.66 KB, patch)
2020-03-03 15:14 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24790: Add POS to the 'More' dropdown on the staff client (1.73 KB, patch)
2020-03-03 15:27 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24790: Add POS to the 'More' dropdown on the staff client (1.79 KB, patch)
2020-03-04 16:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-03-03 14:36:09 UTC
We missed to add it.
Comment 1 Tomás Cohen Arazi 2020-03-03 14:46:23 UTC
Created attachment 100034 [details] [review]
Bug 24790: Add POS to the 'More' dropdown on the staff client

This trivial patch adds 'Point of sale' to the dropdown.

To test:
1. Notice there is no 'Point of sale' entry in the staff dropdown
=> FAIL: No dropdown
2. Apply this patch and reload
=> SUCCESS: Point of sale displays and works
3. Play with enabling/disabling the feature and removing permissions
=> SUCCESS: The entry in the dropdown respects the configured
permissions and settings.
4. Sign off :-D
Comment 2 ByWater Sandboxes 2020-03-03 15:14:29 UTC
Created attachment 100038 [details] [review]
Bug 24790: Add POS to the 'More' dropdown on the staff client

This trivial patch adds 'Point of sale' to the dropdown.

To test:
1. Notice there is no 'Point of sale' entry in the staff dropdown
=> FAIL: No dropdown
2. Apply this patch and reload
=> SUCCESS: Point of sale displays and works
3. Play with enabling/disabling the feature and removing permissions
=> SUCCESS: The entry in the dropdown respects the configured
permissions and settings.
4. Sign off :-D

Signed-off-by: George Williams <george@nekls.org>
Comment 3 PTFS Europe Sandboxes 2020-03-03 15:27:46 UTC
Created attachment 100040 [details] [review]
Bug 24790: Add POS to the 'More' dropdown on the staff client

This trivial patch adds 'Point of sale' to the dropdown.

To test:
1. Notice there is no 'Point of sale' entry in the staff dropdown
=> FAIL: No dropdown
2. Apply this patch and reload
=> SUCCESS: Point of sale displays and works
3. Play with enabling/disabling the feature and removing permissions
=> SUCCESS: The entry in the dropdown respects the configured
permissions and settings.
4. Sign off :-D

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Sally 2020-03-04 10:49:14 UTC
*** Bug 24791 has been marked as a duplicate of this bug. ***
Comment 5 Martin Renvoize 2020-03-04 16:17:50 UTC
Created attachment 100140 [details] [review]
Bug 24790: Add POS to the 'More' dropdown on the staff client

This trivial patch adds 'Point of sale' to the dropdown.

To test:
1. Notice there is no 'Point of sale' entry in the staff dropdown
=> FAIL: No dropdown
2. Apply this patch and reload
=> SUCCESS: Point of sale displays and works
3. Play with enabling/disabling the feature and removing permissions
=> SUCCESS: The entry in the dropdown respects the configured
permissions and settings.
4. Sign off :-D

Signed-off-by: George Williams <george@nekls.org>
Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-03-04 16:19:10 UTC
Wow, super quick signoff guys, thanks to all for following up and getting this added before I had a chance to do it and then great teamwork SO..

Passing QA and Pushing.
Comment 7 Martin Renvoize 2020-03-04 16:19:28 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-04-01 21:19:28 UTC
not pushed to 19.11.x due to dependencies